#!/usr/bin/perl
#
# $Header: //sapdb/V76/c_03/b_15/sys/src/install/perl/SAPDB/Install/Dialog/Options.pm#1 $
# $DateTime: 2008/01/18 16:05:39 $
# $Change: 173096 $
#
# Desc: 


package SAPDB::Install::Window::Options;

use Wx qw (wxVERTICAL wxHORIZONTAL wxEXPAND
		 wxRIGHT wxALL wxALIGN_CENTER_VERTICAL
		 wxBOTTOM wxALIGN_RIGHT wxALIGN_BOTTOM);
		 
use Wx::Event qw (EVT_CHECKBOX EVT_BUTTON);

use base Wx::Panel;

sub new{
	my $self = shift->SUPER::new(@_);
	my $sizer = Wx::BoxSizer->new (wxVERTICAL);	
	$self->{'cb_force_extract'} = Wx::CheckBox->new ($self,-1,'Force Extract',[-1,-1],[-1,-1]);
	EVT_CHECKBOX($self,$self->{'cb_force_extract'}->GetId,\&OnForceExtract);
	$self->{'tc_force_extract'} = Wx::TextCtrl->new ($self,-1,'',[-1,-1],[50,-1]);
	$self->{'tc_force_extract'}->Enable (0);
	my $line_sizer = Wx::BoxSizer->new (wxHORIZONTAL);
	$line_sizer->Add($self->{'cb_force_extract'},0, wxRIGHT | wxALIGN_CENTER_VERTICAL, 20);
	$line_sizer->Add($self->{'tc_force_extract'},1,wxALIGN_CENTER_VERTICAL);
	$sizer->Add($line_sizer,1, wxEXPAND | ((wxALL) & (~wxBOTTOM)) , 20);
	#$self->{'cb_debug'} = Wx::CheckBox->new ($self,-1,'Debug Module:',[-1,-1],[-1,-1]);
	#EVT_CHECKBOX($self,$self->{'cb_debug'}->GetId,\&OnDebug);
	#$self->{'tc_debug'} = Wx::TextCtrl->new ($self,-1,'',[-1,-1],[50,-1]);
	#$self->{'tc_debug'}->Enable (0);
	#$line_sizer = Wx::BoxSizer->new (wxHORIZONTAL);
	#$line_sizer->Add($self->{'cb_debug'},0, wxRIGHT | wxALIGN_CENTER_VERTICAL, 20);
	#$line_sizer->Add($self->{'tc_debug'},1,);
	#$sizer->Add($line_sizer,0, wxEXPAND | ((wxALL) & (~wxBOTTOM)) , 20);
	$self->{'cbutton'} = Wx::Button->new ($self,-1,'&Cancel',[-1,-1],[-1,-1]);
	$self->{'okbutton'} = Wx::Button->new ($self,-1,'&Ok',[-1,-1],[-1,-1]);
	EVT_BUTTON($self,$self->{'cbutton'}->GetId,\&OnCancel);
	EVT_BUTTON($self,$self->{'okbutton'}->GetId,\&OnOk);
	$line_sizer = Wx::BoxSizer->new (wxHORIZONTAL);
	$line_sizer->Add ($self->{'cbutton'},0,wxRIGHT,10);
	$line_sizer->Add ($self->{'okbutton'},0);
	$sizer->Add($line_sizer,0, wxALL | wxALIGN_RIGHT, 20);
	$self->SetSizer($sizer);
	$self->SetAutoLayout (1);
	$self->InitOptions();
	return $self;				
}


sub InitOptions{
	my ($self) = @_;
	if (defined $SAPDB::Install::StartInstall::FORCE_EXTRACT){
		$self->{'cb_force_extract'}->SetValue (1);
		$self->{'tc_force_extract'}->Enable (1);
		$self->{'tc_force_extract'}->SetValue ($SAPDB::Install::StartInstall::FORCE_EXTRACT);
	}
	else{
		$self->{'cb_force_extract'}->SetValue (0);
		$self->{'tc_force_extract'}->SetValue ('');
	}
}


sub OnForceExtract{
	my ($self,$evt) = @_;
	$self->{'tc_force_extract'}->Enable ($evt->GetInt);
} 

sub OnDebug{
	my ($self,$evt) = @_;
	$self->{'tc_debug'}->Enable ($evt->GetInt);
} 


sub OnOk{
	my ($self,$evt) = @_;
	if ($self->{'cb_force_extract'}->IsChecked ()){
		my $val = $self->{'tc_force_extract'}->GetValue ();
		$SAPDB::Install::StartInstall::FORCE_EXTRACT = ($val =~ /\S/ ? $val : '');
	}
	else{
		$SAPDB::Install::StartInstall::FORCE_EXTRACT = undef;
	}
		
	$self->GetParent ()->EndModal(0);
}

sub OnCancel{
	my ($self,$evt) = @_;
	$self->GetParent ()->EndModal(0);
}



sub Destroy{
	my ($self) = @_;
	while($self->GetSizer->Remove (0) ) {};
	$self->{'cb_force_extract'}->Destroy();
	$self->{'tc_force_extract'}->Destroy();
	#$self->{'cb_debug'}->Destroy();
	#$self->{'tc_debug'}->Destroy(); 		 		
	$self->SUPER::Destroy;
}


1;


package SAPDB::Install::Dialog::Options;

use Wx::Event qw (EVT_CLOSE EVT_BUTTON);

use base Wx::Dialog;


sub new{
	my($self ) = shift->SUPER::new(@_);
	$self->SetTitle ('Installation Options');
	$self->{'panel'} = SAPDB::Install::Window::Options->new ($self,-1);
	$self->SetSize ([250,150]);
	return $self;
}

sub Destroy{
	my ($self) = @_;
	$self->{'panel'}->Destroy ();
	$self->SUPER::Destroy ();
}

sub DESTROY{
	my ($self) =  @_;
	print ">>>> DESTROY $self\n"
		if $SAPDB::Install::DEBUG::DESTRUCT;
}

1;
