/*


    ========== licence begin  SAP

    (c) Copyright 2002-2006 SAP AG

    All rights reserved.

    ========== licence end





*/

class DemodbData
{
    String username;
    String password;
    String dbname;
    String host;

    DemodbData (
            String usernameP,
            String passwordP,
            String dbnameP,
            String hostP)
    {
        this.username = usernameP;
        this.password = passwordP;
        this.dbname = dbnameP;
        this.host = hostP;
    }
    static DemodbData defaultUser ()
    {
        return new DemodbData ("MONA", "RED", "MAXDB1", "");
    }

    static DemodbData dbmUser ()
    {
        return new DemodbData ("DBM", "DBM", "MAXDB1", "");
    }

    private void parseArgs (
            String [] args)
    {
        if (args.length > 3) {
            this.host = args [3];
        }
        if (args.length > 2) {
            this.dbname = args [2];
        }
        if (args.length > 1) {
            this.password = args [1];
        }
        if (args.length > 0) {
            this.username = args [0];
        }
    }

    static DemodbData parseUserArgs (
            String [] args)
    {
        DemodbData result = defaultUser ();
        result.parseArgs (args);
        return result;
    }

    static DemodbData parseDbmArgs (
            String [] args)
    {
        DemodbData result = dbmUser ();
        result.parseArgs (args);
        return result;
    }
}
