/*


    ========== licence begin  SAP

    (c) Copyright 2002-2006 SAP AG

    All rights reserved.

    ========== licence end





*/

import java.sql.*;

/**
 *
 */
public class HelloMaxDB
{
    /**
     * creates a new HelloMaxDB
     */
    private
    HelloMaxDB ()
    {
    }
    /**
     * used when called form the command line
     */
    public static void main (String [] args)
    throws SQLException, ClassNotFoundException
    {
        DemodbData userInfo = DemodbData.parseUserArgs (args);
        /*
         * load driver and connect
         */
        Class.forName ("com.sap.dbtech.jdbc.DriverSapDB");
        String url = "jdbc:sapdb://"
            + userInfo.host + "/"
            + userInfo.dbname;

        Connection connection = DriverManager.getConnection (url,
            userInfo.username, userInfo.password);
        /*
         * execute query
         */
        Statement stmt = connection.createStatement ();
        ResultSet cursor = stmt.executeQuery (
            "select 'Hello, MaxDB' from dual");
        /*
         * fetch values
         */
        int fetchCount = 0;
        while (cursor.next ()) {
            String result = cursor.getString (1);
            System.out.println (result);
            ++fetchCount;
        }
        if (fetchCount == 0) {
            System.out.println ("unexpectoed end of cursor");
        }
    }
}
