#!/usr/bin/env perl
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2002-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


use SAP::DBTech::dbm;
use demodbData;

sub showState {
    my ($session) = @_;
    my ($output) = $session->cmd ('db_state');
    my (@lines) = split ('\n', $output);
    my ($state) = @lines [1];
    print "database state: $state\n";
}

sub createSession {
    my ($username, $password, $dbname, $host) = @_;
    my ($userid);
    $userid = "$username,$password";
    my ($session) = new DBM ($host, $dbname, '', $userid);
    print "session created: $session\n";
    return $session;
}

sub main {
    my ($username, $password, $dbname, $host) = &parseDbmArgs (@ARGV);
    my ($session) = &createSession ($username, $password, $dbname, $host);
    &showState ($session);
    $session->commit ();  # not necessary for a SELECT, but good style anyway
}

&main ();

