
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2002-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


sub defaultUser {
    #      user,   password, dbname, host (None = local)
    return 'MONA', 'RED',   'MAXDB1',  '';
}

sub dbmUser {
    #      user,   password, dbname, host (None = local)
    return 'DBM',  'DBM',    'MAXDB1',  '';
}

sub _parseArgs {
    my ($args, @defaults) = @_;
    my ($username, $password, $dbname, $host) = @defaults;
    my ($arglen);
    if (@$args > 3) {
        $host = $args->[3];
    }
    if (@$args > 2) {
        $dbname = $args->[2];
    }
    if (@$args > 1) {
        $password = $args->[1];
    }
    if (@$args > 0) {
        $username = $args->[0];
    }
    return $username, $password, $dbname, $host
}

sub parseUserArgs {
    return &_parseArgs (\@_, &defaultUser ())
}

sub parseDbmArgs {
    return &_parseArgs (\@_, &dbmUser ())
}

1;

