
#    ========== licence begin  SAP
#
#    (c) Copyright 2000-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


from installib import *

def install (session,options):
    """Installing tables for DBAnalyzer
    """
    loaderCmd(session, 'INSTALLATION ON')
    loaderCmd(session, 'AUTOCOMMIT OFF')

    switchToSchema (session, 'SYSDBANA')


    stopIfSqlNotOK(session, """CREATE OR REPLACE VIEW UPDATECOUNTERWANTED AS
                               SELECT COUNT (*) TABLECOUNT
                               FROM SYSDBA.SYSUPDATECOUNTERWANTED INTERNAL
    """)
    stopIfSqlNotOK(session, """GRANT SELECT ON UPDATECOUNTERWANTED TO DBAROLE""")
    stopIfSqlNotOK(session, """COMMENT ON TABLE "SYSDBANA"."UPDATECOUNTERWANTED" IS 'Number of tables whose counters should be updated'""")
    stopIfSqlNotOK(session, """COMMENT ON COLUMN "SYSDBANA"."UPDATECOUNTERWANTED"."TABLECOUNT" IS 'Number of tables stored in SYSUPDATECOUNTERWANTED'""")

    stopIfSqlNotOK(session, """CREATE OR REPLACE VIEW LOADSYSTABDONE AS
                               SELECT COUNT(*) NUMBERLOADSYSTABS FROM SYSDBA.SYSUPGRADEHISTORY,VERSION
                               WHERE KERNELVERSION=ID AND COMPONENT = 'LOAD_SYSTAB' INTERNAL
    """)
    stopIfSqlNotOK(session, """GRANT SELECT ON "LOADSYSTABDONE" TO DBAROLE""")
    stopIfSqlNotOK(session, """COMMENT ON TABLE "SYSDBANA"."LOADSYSTABDONE" IS 'Number of load_systabs done for this kernel version'""")
    stopIfSqlNotOK(session, """COMMENT ON COLUMN "SYSDBANA"."LOADSYSTABDONE"."NUMBERLOADSYSTABS" IS 'Number of load_systabs done for this kernel version'""")

    switchToDefaultSchema (session, options)


    loaderCmd(session, 'COMMIT')
    loaderCmd(session, 'INSTALLATION OFF')

if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)

