# =====================================================
# @(#) INFO.py                       7.2.01  1999-10-06
# =====================================================
#
#
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2000-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


from installib import *

def install (session,options):
    """Installing messages and help
    """

    loaderCmd (session, 'INSTALLATION ON')

    loaderCmd (session, 'AUTOCOMMIT OFF')

#   may be it exists, but is the new view, which has to remain

    if existsTable (session, "MESSAGES"):
        stopIfSqlNotErr (session, -8015, 'DROP TABLE MESSAGES')

    stopIfSqlNotErr (session, -6000,
                """CREATE VIEW MESSAGES AS
                SELECT ERRORCODE MSGNO,'ENG' LANGUAGE, ERRORTEXT MSGTEXT FROM SYSDD.KERNELMESSAGES
                INTERNAL""")

    stopIfSqlNotOK (session, 'GRANT SELECT ON MESSAGES TO PUBLIC')

    loaderCmd (session, 'COMMIT')

    loaderCmd (session, 'INSTALLATION OFF')

if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)

