#
# =====================================================
# @(#) ORADD                     7.2        1999-07-29
# =====================================================
# Changes in  7.2:
#
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2000-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


from installib import *

def install (session,options):
    """Installing system tables for ORACLE (V7) mode
    """

    loaderCmd (session, 'INSTALLATION ON')

    loaderCmd (session, 'AUTOCOMMIT OFF')

    stopIfSqlNotErr (session, -4003, 'DROP USER SYS')

    stopIfSqlNotErr (session, -4003, 'DROP USER "PUBLIC" CASCADE')

    stopIfSqlNotErr (session, -6006, 'CREATE SCHEMA SYS')

    loaderCmd (session, 'SQLMODE INTERNAL')

    switchToDefaultSchema (session, options)

    # The creation of the Oracle system tables, the synonyms for them
    # and the comments on it

    include (session, options,
        "ORADDV",
        "ORADDSYN",
        "ORADDCOM"
        )


    loaderCmd (session, 'COMMIT')

    loaderCmd (session, 'INSTALLATION OFF')

    # End of Install


if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)


