#
# =====================================================
# @(#) PRECOM                    7.2        1999-07-29
# =====================================================
# Changes in  7.2:
#
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2000-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


from installib import *

def install (session,options):
    """Installing precompiler tables
    """

    loaderCmd (session, 'INSTALLATION ON')

    loaderCmd (session, 'AUTOCOMMIT OFF')

    switchToSchema (session, 'SYSPRECOM')

    dropTable (session, "SYSPROFILE")
    stopIfSqlNotOK (session, """
        CREATE TABLE SYSPROFILE
       (
        USERNAME SYSID,
        PROGNAME SYSID,
        MODNAME  SYSID,
        LANGUAGE CHAR(12),
        LINENO   FIXED(7),
        PARSEID  CHAR(12)     BYTE,
        RUNDATE  DATE,
        RUNCOUNT FIXED(10),
        SECONDS  FIXED(12,3),
        STMBEGIN CHAR(1600),
        CONSTRAINT SYSPROFILE_PK
          PRIMARY KEY(USERNAME,PROGNAME,MODNAME,LANGUAGE,LINENO,PARSEID)
       )
       INTERNAL
       """)

    stopIfSqlNotOK (session, "GRANT ALL ON TABLE SYSPROFILE TO PUBLIC")

    loaderCmd (session, 'COMMIT')

    loaderCmd (session, 'INSTALLATION OFF')

    # End of Install


if __name__ == '__main__':
    connectAndInstall (install, install.__doc__)


