#!/usr/bin/env python
#
#    ========== licence begin  SAP
#
#    (c) Copyright 2003-2006 SAP AG
#
#    All rights reserved.
#
#    ========== licence end


import sys
import re
import string
import sdb.sql

def main ():
    dbname = getDBName (sys.argv)
    username, password = getUserAndPass (sys.argv)
    username = string.upper (username)
    password = string.upper (password)

    packages = getPackageNames (dbname, username, password)
    for package in packages:
        print package

def getDBName (argv):
    for i in range (0, len (argv)):
        if argv[i] == '-d':
            return argv[i + 1]

    return

def getUserAndPass (argv):
    usrpwd = ''

    for i in range (0, len (argv)):
        if argv[i] == '-u':
            return re.split (',', argv[i + 1])

    return

def getPackageNames (dbname, username, password):
    session = sdb.sql.connect (username, password, dbname)
    cursor = session.sql (
    """SELECT DISTINCT PACKAGE FROM DBPROCEDURES WHERE SCHEMANAME = '%s'""" %
    username)

    packages = []
    while 1:
        row = cursor.next ()
        if not row:
            break

        (result,) = row
        packages.append (result)

    return packages

if __name__ == "__main__":
    main ()

